path: /build/build/bind-net-dns-9.18.26.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-dnstap -doh -gssapi -idn -selinux -test caps geoip lmdb xml" emerge net-dns/bind -pv -t && \
    USE="-dnstap -doh -gssapi -idn -selinux -test caps geoip lmdb xml" emerge -j ${JOBS} --nodeps net-dns/bind
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/bind && luet-portage --dir /pkgdir/bind
    net-dns/bind && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e0ad9e0e9fedc8b3fe5d6d56ae0828e839ec09735de3589e79245e2fdf9d1812
  package:
    name: bind
    version: 9.18.26
    category: net-dns
    use_flags:
    - -dnstap
    - -doh
    - -gssapi
    - -idn
    - -selinux
    - -test
    - caps
    - geoip
    - lmdb
    - xml
    requires:
    - name: bind-tools
      version: '>=0'
      category: net-dns
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Berkeley Internet Name Domain - Name Server
    uri:
    - https://www.isc.org/software/bind
    license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
    buildtimestamp: 2024-04-27 17:16:28.909390644 +0000 UTC m=+514.823910854
    labels:
      BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        dev-lang/python:3.10 ) dev-python/dnspython dev-python/pytest dev-perl/Net-DNS-SEC
        dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: =net-dns/bind-tools-9.18.26* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
        dev-libs/openssl:=[-bindist(-)] sys-libs/zlib caps? ( >=sys-libs/libcap-2.1.0
        ) doh? ( net-libs/nghttp2 ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5
        ) idn? ( net-dns/libidn2 ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm
        dev-libs/protobuf-c ) xml? ( dev-libs/libxml2 ) sys-apps/shadow
      IUSE: +caps dnstap dnsrps doc doh fixed-rrset geoip gssapi idn lmdb selinux
        test urandom xml
      RDEPEND: =net-dns/bind-tools-9.18.26* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
        dev-libs/openssl:=[-bindist(-)] sys-libs/zlib caps? ( >=sys-libs/libcap-2.1.0
        ) doh? ( net-libs/nghttp2 ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5
        ) idn? ( net-dns/libidn2 ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm
        dev-libs/protobuf-c ) xml? ( dev-libs/libxml2 ) selinux? ( sec-policy/selinux-bind
        ) sys-process/psmisc virtual/tmpfiles
      emerge.packages: net-dns/bind
      kit: net-kit
      original.package.name: net-dns/bind
      original.package.slot: "0"
      original.package.version: 9.18.26
    treedir: /build/packages
  package_dir: /pkgdir/bind
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fa47d046e010fbe7f6e1816124363090cc010b1fa4fad55ef71a14025201ec05
compressiontype: zstd
files:
- etc/bind/bind.keys
- etc/bind/dyn
- etc/bind/named.conf
- etc/bind/pri
- etc/bind/sec
- etc/conf.d/named
- etc/env.d/10bind
- etc/init.d/named
- usr/bin/arpaname
- usr/bin/named-checkconf
- usr/bin/named-checkzone
- usr/bin/named-compilezone
- usr/bin/named-journalprint
- usr/bin/named-nzd2nzf
- usr/bin/named-rrchecker
- usr/bin/nsec3hash
- usr/include/bind9/check.h
- usr/include/bind9/getaddresses.h
- usr/include/dns/acl.h
- usr/include/dns/adb.h
- usr/include/dns/badcache.h
- usr/include/dns/bit.h
- usr/include/dns/byaddr.h
- usr/include/dns/cache.h
- usr/include/dns/callbacks.h
- usr/include/dns/catz.h
- usr/include/dns/cert.h
- usr/include/dns/client.h
- usr/include/dns/clientinfo.h
- usr/include/dns/compress.h
- usr/include/dns/db.h
- usr/include/dns/dbiterator.h
- usr/include/dns/diff.h
- usr/include/dns/dispatch.h
- usr/include/dns/dlz.h
- usr/include/dns/dlz_dlopen.h
- usr/include/dns/dns64.h
- usr/include/dns/dnsrps.h
- usr/include/dns/dnssec.h
- usr/include/dns/dnstap.h
- usr/include/dns/ds.h
- usr/include/dns/dsdigest.h
- usr/include/dns/dyndb.h
- usr/include/dns/ecs.h
- usr/include/dns/edns.h
- usr/include/dns/enumclass.h
- usr/include/dns/enumtype.h
- usr/include/dns/events.h
- usr/include/dns/fixedname.h
- usr/include/dns/forward.h
- usr/include/dns/geoip.h
- usr/include/dns/ipkeylist.h
- usr/include/dns/iptable.h
- usr/include/dns/journal.h
- usr/include/dns/kasp.h
- usr/include/dns/keydata.h
- usr/include/dns/keyflags.h
- usr/include/dns/keymgr.h
- usr/include/dns/keytable.h
- usr/include/dns/keyvalues.h
- usr/include/dns/librpz.h
- usr/include/dns/log.h
- usr/include/dns/lookup.h
- usr/include/dns/master.h
- usr/include/dns/masterdump.h
- usr/include/dns/message.h
- usr/include/dns/name.h
- usr/include/dns/ncache.h
- usr/include/dns/nsec.h
- usr/include/dns/nsec3.h
- usr/include/dns/nta.h
- usr/include/dns/opcode.h
- usr/include/dns/order.h
- usr/include/dns/peer.h
- usr/include/dns/private.h
- usr/include/dns/rbt.h
- usr/include/dns/rcode.h
- usr/include/dns/rdata.h
- usr/include/dns/rdataclass.h
- usr/include/dns/rdatalist.h
- usr/include/dns/rdataset.h
- usr/include/dns/rdatasetiter.h
- usr/include/dns/rdataslab.h
- usr/include/dns/rdatastruct.h
- usr/include/dns/rdatatype.h
- usr/include/dns/request.h
- usr/include/dns/resolver.h
- usr/include/dns/result.h
- usr/include/dns/rootns.h
- usr/include/dns/rpz.h
- usr/include/dns/rriterator.h
- usr/include/dns/rrl.h
- usr/include/dns/sdb.h
- usr/include/dns/sdlz.h
- usr/include/dns/secalg.h
- usr/include/dns/secproto.h
- usr/include/dns/soa.h
- usr/include/dns/ssu.h
- usr/include/dns/stats.h
- usr/include/dns/time.h
- usr/include/dns/tkey.h
- usr/include/dns/transport.h
- usr/include/dns/tsec.h
- usr/include/dns/tsig.h
- usr/include/dns/ttl.h
- usr/include/dns/types.h
- usr/include/dns/update.h
- usr/include/dns/validator.h
- usr/include/dns/view.h
- usr/include/dns/xfrin.h
- usr/include/dns/zone.h
- usr/include/dns/zonekey.h
- usr/include/dns/zoneverify.h
- usr/include/dns/zt.h
- usr/include/dst/dst.h
- usr/include/dst/gssapi.h
- usr/include/irs/resconf.h
- usr/include/isc/aes.h
- usr/include/isc/align.h
- usr/include/isc/app.h
- usr/include/isc/assertions.h
- usr/include/isc/astack.h
- usr/include/isc/atomic.h
- usr/include/isc/attributes.h
- usr/include/isc/backtrace.h
- usr/include/isc/barrier.h
- usr/include/isc/base32.h
- usr/include/isc/base64.h
- usr/include/isc/buffer.h
- usr/include/isc/cmocka.h
- usr/include/isc/commandline.h
- usr/include/isc/condition.h
- usr/include/isc/counter.h
- usr/include/isc/crc64.h
- usr/include/isc/deprecated.h
- usr/include/isc/dir.h
- usr/include/isc/endian.h
- usr/include/isc/errno.h
- usr/include/isc/error.h
- usr/include/isc/event.h
- usr/include/isc/eventclass.h
- usr/include/isc/file.h
- usr/include/isc/formatcheck.h
- usr/include/isc/fuzz.h
- usr/include/isc/glob.h
- usr/include/isc/hash.h
- usr/include/isc/heap.h
- usr/include/isc/hex.h
- usr/include/isc/hmac.h
- usr/include/isc/ht.h
- usr/include/isc/httpd.h
- usr/include/isc/interfaceiter.h
- usr/include/isc/iterated_hash.h
- usr/include/isc/lang.h
- usr/include/isc/lex.h
- usr/include/isc/list.h
- usr/include/isc/log.h
- usr/include/isc/magic.h
- usr/include/isc/managers.h
- usr/include/isc/md.h
- usr/include/isc/mem.h
- usr/include/isc/meminfo.h
- usr/include/isc/mutex.h
- usr/include/isc/mutexblock.h
- usr/include/isc/net.h
- usr/include/isc/netaddr.h
- usr/include/isc/netdb.h
- usr/include/isc/netmgr.h
- usr/include/isc/netscope.h
- usr/include/isc/nonce.h
- usr/include/isc/offset.h
- usr/include/isc/once.h
- usr/include/isc/os.h
- usr/include/isc/parseint.h
- usr/include/isc/pool.h
- usr/include/isc/portset.h
- usr/include/isc/print.h
- usr/include/isc/quota.h
- usr/include/isc/radix.h
- usr/include/isc/random.h
- usr/include/isc/ratelimiter.h
- usr/include/isc/refcount.h
- usr/include/isc/regex.h
- usr/include/isc/region.h
- usr/include/isc/resource.h
- usr/include/isc/result.h
- usr/include/isc/rwlock.h
- usr/include/isc/safe.h
- usr/include/isc/serial.h
- usr/include/isc/siphash.h
- usr/include/isc/sockaddr.h
- usr/include/isc/stat.h
- usr/include/isc/stats.h
- usr/include/isc/stdatomic.h
- usr/include/isc/stdio.h
- usr/include/isc/stdtime.h
- usr/include/isc/strerr.h
- usr/include/isc/string.h
- usr/include/isc/symtab.h
- usr/include/isc/syslog.h
- usr/include/isc/task.h
- usr/include/isc/taskpool.h
- usr/include/isc/thread.h
- usr/include/isc/time.h
- usr/include/isc/timer.h
- usr/include/isc/tls.h
- usr/include/isc/tm.h
- usr/include/isc/types.h
- usr/include/isc/url.h
- usr/include/isc/utf8.h
- usr/include/isc/util.h
- usr/include/isccc/alist.h
- usr/include/isccc/base64.h
- usr/include/isccc/cc.h
- usr/include/isccc/ccmsg.h
- usr/include/isccc/events.h
- usr/include/isccc/sexpr.h
- usr/include/isccc/symtab.h
- usr/include/isccc/symtype.h
- usr/include/isccc/types.h
- usr/include/isccc/util.h
- usr/include/isccfg/aclconf.h
- usr/include/isccfg/cfg.h
- usr/include/isccfg/duration.h
- usr/include/isccfg/grammar.h
- usr/include/isccfg/kaspconf.h
- usr/include/isccfg/log.h
- usr/include/isccfg/namedconf.h
- usr/include/ns/client.h
- usr/include/ns/events.h
- usr/include/ns/hooks.h
- usr/include/ns/interfacemgr.h
- usr/include/ns/listenlist.h
- usr/include/ns/log.h
- usr/include/ns/notify.h
- usr/include/ns/query.h
- usr/include/ns/server.h
- usr/include/ns/sortlist.h
- usr/include/ns/stats.h
- usr/include/ns/types.h
- usr/include/ns/update.h
- usr/include/ns/xfrout.h
- usr/lib/tmpfiles.d/named.conf
- usr/libexec/generate-rndc-key.sh
- usr/sbin/ddns-confgen
- usr/sbin/named
- usr/sbin/rndc
- usr/sbin/rndc-confgen
- usr/sbin/tsig-keygen
- usr/share/doc/bind-9.18.26/AUTHORS.bz2
- usr/share/doc/bind-9.18.26/CHANGES.bz2
- usr/share/doc/bind-9.18.26/ChangeLog.bz2
- usr/share/doc/bind-9.18.26/NEWS.bz2
- usr/share/doc/bind-9.18.26/README.md.bz2
- usr/share/man/man1/arpaname.1.bz2
- usr/share/man/man1/named-checkconf.1.bz2
- usr/share/man/man1/named-checkzone.1.bz2
- usr/share/man/man1/named-compilezone.1.bz2
- usr/share/man/man1/named-journalprint.1.bz2
- usr/share/man/man1/named-nzd2nzf.1.bz2
- usr/share/man/man1/named-rrchecker.1.bz2
- usr/share/man/man1/nsec3hash.1.bz2
- usr/share/man/man5/named.conf.5.bz2
- usr/share/man/man5/rndc.conf.5.bz2
- usr/share/man/man8/ddns-confgen.8.bz2
- usr/share/man/man8/filter-a.8.bz2
- usr/share/man/man8/filter-aaaa.8.bz2
- usr/share/man/man8/named.8.bz2
- usr/share/man/man8/rndc-confgen.8.bz2
- usr/share/man/man8/rndc.8.bz2
- usr/share/man/man8/tsig-keygen.8.bz2
- var/bind/dyn/.keep_net-dns_bind-0
- var/bind/named.cache
- var/bind/pri/.keep_net-dns_bind-0
- var/bind/pri/localhost.zone
- var/bind/root.cache
- var/bind/sec/.keep_net-dns_bind-0
- var/db/pkg/net-dns/bind-9.18.26/BDEPEND
- var/db/pkg/net-dns/bind-9.18.26/BUILD_TIME
- var/db/pkg/net-dns/bind-9.18.26/CATEGORY
- var/db/pkg/net-dns/bind-9.18.26/CBUILD
- var/db/pkg/net-dns/bind-9.18.26/CFLAGS
- var/db/pkg/net-dns/bind-9.18.26/CHOST
- var/db/pkg/net-dns/bind-9.18.26/CONTENTS
- var/db/pkg/net-dns/bind-9.18.26/COUNTER
- var/db/pkg/net-dns/bind-9.18.26/CXXFLAGS
- var/db/pkg/net-dns/bind-9.18.26/DEFINED_PHASES
- var/db/pkg/net-dns/bind-9.18.26/DEPEND
- var/db/pkg/net-dns/bind-9.18.26/DESCRIPTION
- var/db/pkg/net-dns/bind-9.18.26/EAPI
- var/db/pkg/net-dns/bind-9.18.26/FEATURES
- var/db/pkg/net-dns/bind-9.18.26/HOMEPAGE
- var/db/pkg/net-dns/bind-9.18.26/INHERITED
- var/db/pkg/net-dns/bind-9.18.26/IUSE
- var/db/pkg/net-dns/bind-9.18.26/IUSE_EFFECTIVE
- var/db/pkg/net-dns/bind-9.18.26/KEYWORDS
- var/db/pkg/net-dns/bind-9.18.26/LDFLAGS
- var/db/pkg/net-dns/bind-9.18.26/LICENSE
- var/db/pkg/net-dns/bind-9.18.26/NEEDED
- var/db/pkg/net-dns/bind-9.18.26/PF
- var/db/pkg/net-dns/bind-9.18.26/RDEPEND
- var/db/pkg/net-dns/bind-9.18.26/REQUIRES
- var/db/pkg/net-dns/bind-9.18.26/SIZE
- var/db/pkg/net-dns/bind-9.18.26/SLOT
- var/db/pkg/net-dns/bind-9.18.26/USE
- var/db/pkg/net-dns/bind-9.18.26/bind-9.18.26.ebuild
- var/db/pkg/net-dns/bind-9.18.26/environment.bz2
- var/db/pkg/net-dns/bind-9.18.26/repository
- var/log/named/.keep_net-dns_bind-0
package_cacheimage: ""
runtime:
  name: bind
  version: 9.18.26
  category: net-dns
  use_flags:
  - -dnstap
  - -doh
  - -gssapi
  - -idn
  - -selinux
  - -test
  - caps
  - geoip
  - lmdb
  - xml
  requires:
  - name: lmdb
    version: '>=0'
    category: dev-db
  - name: json-c
    version: '>=0'
    category: dev-libs
  - name: libmaxminddb
    version: '>=0'
    category: dev-libs
  - name: bind-tools
    version: '>=0'
    category: net-dns
  - name: libcap
    version: '>=0'
    category: sys-libs
  - name: psmisc
    version: '>=0'
    category: sys-process
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Berkeley Internet Name Domain - Name Server
  uri:
  - https://www.isc.org/software/bind
  license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
  labels:
    BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      dev-lang/python:3.10 ) dev-python/dnspython dev-python/pytest dev-perl/Net-DNS-SEC
      dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: =net-dns/bind-tools-9.18.26* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
      dev-libs/openssl:=[-bindist(-)] sys-libs/zlib caps? ( >=sys-libs/libcap-2.1.0
      ) doh? ( net-libs/nghttp2 ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5
      ) idn? ( net-dns/libidn2 ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c
      ) xml? ( dev-libs/libxml2 ) sys-apps/shadow
    IUSE: +caps dnstap dnsrps doc doh fixed-rrset geoip gssapi idn lmdb selinux test
      urandom xml
    RDEPEND: =net-dns/bind-tools-9.18.26* dev-libs/jemalloc dev-libs/json-c:= dev-libs/libuv:=
      dev-libs/openssl:=[-bindist(-)] sys-libs/zlib caps? ( >=sys-libs/libcap-2.1.0
      ) doh? ( net-libs/nghttp2 ) geoip? ( dev-libs/libmaxminddb ) gssapi? ( virtual/krb5
      ) idn? ( net-dns/libidn2 ) lmdb? ( dev-db/lmdb ) dnstap? ( dev-libs/fstrm dev-libs/protobuf-c
      ) xml? ( dev-libs/libxml2 ) selinux? ( sec-policy/selinux-bind ) sys-process/psmisc
      virtual/tmpfiles
    emerge.packages: net-dns/bind
    kit: net-kit
    original.package.name: net-dns/bind
    original.package.slot: "0"
    original.package.version: 9.18.26
